Subject: Re: [PATCH] powerpc ptrace block-step

From: Michael Ellerman <[email-masked]>
Date: Fri, 23 May 2008 16:21:44 +1000

On Thu, 2008-05-01 at 23:51 -0700, Roland McGrath wrote:
> I didn't test the booke variant of this (I don't have that hardware).
> I only tested it on a Mac G5 (ppc64, 970FX).
> 
> There is a test program at:
> 
> http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/tests/ptrace-tests/tests/block-step.c?cvsroot=systemtap
> 
> To build that program for powerpc, remove the && 0 from this line:
> 
> # elif defined __powerpc__  && 0	/* XXX not upstream yet */
> 
> and compile with -D_GNU_SOURCE.

I ran this on a power3 and it worked fine, by which I mean the testcase
didn't hit any assertions AFAICT and returned 0.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person